vpx_rc_funcs Struct Reference

Callback function set for external rate control. More...

`#include <vpx_ext_ratectrl.h>`

## Data Fields

vpx_rc_create_model_cb_fn_t | create_model
vpx_rc_send_firstpass_stats_cb_fn_t | send_firstpass_stats
vpx_rc_get_encodeframe_decision_cb_fn_t | get_encodeframe_decision
vpx_rc_update_encodeframe_result_cb_fn_t | update_encodeframe_result
vpx_rc_delete_model_cb_fn_t | delete_model
void * | priv

## Detailed Description

Callback function set for external rate control.

The user can enable external rate control by registering a set of callback functions with the codec control flag VP9E_SET_EXTERNAL_RATE_CONTROL.

## Field Documentation

## create_model

vpx_rc_create_model_cb_fn_t vpx_rc_funcs::create_model

Create an external rate control model.

## send_firstpass_stats

vpx_rc_send_firstpass_stats_cb_fn_t vpx_rc_funcs::send_firstpass_stats

Send first pass stats to the external rate control model.

## get_encodeframe_decision

vpx_rc_get_encodeframe_decision_cb_fn_t vpx_rc_funcs::get_encodeframe_decision

Get encodeframe decision from the external rate control model.

## update_encodeframe_result

vpx_rc_update_encodeframe_result_cb_fn_t vpx_rc_funcs::update_encodeframe_result

Update encodeframe result to the external rate control model.

## delete_model

vpx_rc_delete_model_cb_fn_t vpx_rc_funcs::delete_model

Delete the external rate control model.

## priv

void* vpx_rc_funcs::priv

Private data for the external rate control model.

The documentation for this struct was generated from the following file:

- vpx/vpx_ext_ratectrl.h